Abiword 3.0 disponible (compilation)

Si LibreOffice est une suite bureautique qui roxxe du poney je ne vais pas vous cacher que mon cœur balance plutôt pour Abiword, qui est certes moins complet, mais largement suffisant pour répondre à mes besoins. Si vous aussi vous préférez Abiword, vous allez être content de savoir que ce dernier est disponible en version 3.0, embarquant quelques nouveautés sympathiques et un grand nombre d’améliorations. On notera pour commencer l’amélioration de l’intégration d’Abiword dans GTK3+, la mise à jour du support pour plusieurs langues et la mise en place d’un nouvel outil de bordures et de trames, vous permettant de sélectionner un contour ou une couleur spécifique pour un paragraphe.

On notera également l’introduction du support pour les fichiers RDF, la possibilité de modifier les fichiers Epub et le support de pas mal de protocoles tels que Jabber, XMPP, Google Talk, Facebook Chat, SIP etc, dans le but de faciliter les travaux collaboratifs. Le reste des améliorations se situent sous le capot et (ou), concernent tout un tas de petits modules.

Abiword n’a pas encore été inclus dans les dépôts Archlinux et il n’y a pas encore à ma connaissance de PPA disponible. Si vous avez envie d’en découdre il va donc falloir vous armer de patience ou si vous ne tenez pas, passer par la case compilation.

Pour ceux que ça intéresse les sources d’Abiword 3.0 sont d’ores et déjà disponibles sur le FTP suivant.

Amusez-vous bien.

source  lamiradadelreplicante.com


11 Responses

  1. Arkham 19 octobre 2013 / 2 h 27 min

    Jour historique : Ubuntu (en l’occurrence la 13.10) possède un paquet plus avancé que sur ArchLinux :p

  2. Salamandar 15 octobre 2013 / 0 h 50 min

    Pareil pour Ubuntu et dérivés, on en est encore à 2.9… Bah, ça va arriver ! :)

    • noireaude 15 octobre 2013 / 0 h 54 min

      Oui et avec un peu de chance la compilation ne foire pas :) J’ai pas encore testé sur Ubuntu.

      • Salamandar 15 octobre 2013 / 0 h 56 min

        Chez moi ça foire au configure : configure: error: jpeg.h not found
        … ?

        • noireaude 15 octobre 2013 / 0 h 57 min

          Hum, la compil sur Ubuntu :)

          • Salamandar 15 octobre 2013 / 0 h 58 min

            Je sais que je n’en suis pas un vétéran, mais je n’ai jamais eu de problème avant… :p

          • noireaude 15 octobre 2013 / 1 h 00 min

            T’as de la chance car moi mes compilations foirent souvent. Après ça peut être un problème de bonhomme hein. Je suis pas très doué :)

        • Okki 16 octobre 2013 / 0 h 15 min

          Pas testé, mais sous Ubuntu, j’imagine qu’il faut tout d’abord installer libjpeg8-dev / libjpeg-turbo8-dev

          Et si la compilation ne passe toujours pas, créer un lien symbolique, sudo ln -s /usr/include/turbojpeg.h /usr/include/jpeg.h

          • Salamandar 17 octobre 2013 / 4 h 20 min

            J’ai toujours quelques erreurs un peu bizarres… Bon, j’attendrai la màj ;)

          • Jean Brefort 21 octobre 2013 / 16 h 38 min

            Avant de compiler, sous debian et cousins :

            apt-get build-dep abiword

            C’et (presque) magique et cela devrait installer tout ce qui est nécessaire.

Comments are closed.